| 0.9.9 API documenation

- Main Page
- Modules
- Files

- File List

Functions
transform2.hpp File Reference

GLM_GTX_transform2 More...

Go to the source code of this file.

## Functions
template<typename T , precision P>
GLM_FUNC_DECL tmat3x3< T, P > | proj2D (const tmat3x3< T, P > &m, const tvec3< T, P > &normal)
| Build planar projection matrix along normal axis. More...
template<typename T , precision P>
GLM_FUNC_DECL tmat4x4< T, P > | proj3D (const tmat4x4< T, P > &m, const tvec3< T, P > &normal)
| Build planar projection matrix along normal axis. More...
template<typename valType , precision P>
GLM_FUNC_DECL tmat4x4< valType, P > | scaleBias (valType scale, valType bias)
| Build a scale bias matrix. More...
template<typename valType , precision P>
GLM_FUNC_DECL tmat4x4< valType, P > | scaleBias (tmat4x4< valType, P > const &m, valType scale, valType bias)
| Build a scale bias matrix. More...
template<typename T , precision P>
GLM_FUNC_DECL tmat3x3< T, P > | shearX2D (tmat3x3< T, P > const &m, T y)
| Transforms a matrix with a shearing on X axis. More...
template<typename T , precision P>
GLM_FUNC_DECL tmat4x4< T, P > | shearX3D (const tmat4x4< T, P > &m, T y, T z)
| Transforms a matrix with a shearing on X axis From GLM_GTX_transform2 extension. More...
template<typename T , precision P>
GLM_FUNC_DECL tmat3x3< T, P > | shearY2D (tmat3x3< T, P > const &m, T x)
| Transforms a matrix with a shearing on Y axis. More...
template<typename T , precision P>
GLM_FUNC_DECL tmat4x4< T, P > | shearY3D (const tmat4x4< T, P > &m, T x, T z)
| Transforms a matrix with a shearing on Y axis. More...
template<typename T , precision P>
GLM_FUNC_DECL tmat4x4< T, P > | shearZ3D (const tmat4x4< T, P > &m, T x, T y)
| Transforms a matrix with a shearing on Z axis. More...

## Detailed Description

GLM_GTX_transform2

See also
  GLM Core (dependence)
  GLM_GTX_transform (dependence)

Definition in file transform2.hpp.